<?php

namespace App\Controller\Admin;


use App\Entity\Site\Page;
use App\Entity\User\User;
use EasyCorp\Bundle\EasyAdminBundle\Config\MenuItem;
use Lc\SovBundle\Controller\Admin\DashboardController as LcDashboardController;

class DashboardController extends LcDashboardController
{

    public function configureMenuItems(): iterable
    {
        return [
                MenuItem::linkToDashboard('Tableau de bord', 'fa fa-home'),
                MenuItem::linkToCrud('Pages', 'fa fa-tags', Page::class),
                MenuItem::linkToCrud('Utilisateurs', 'fa fa-user', User::class),


            /*
             MenuItem::section('Blog'),
             MenuItem::linkToCrud('Categories', 'fa fa-tags', Category::class),
             MenuItem::linkToCrud('Blog Posts', 'fa fa-file-text', BlogPost::class),

             MenuItem::section('Users'),
             MenuItem::linkToCrud('Comments', 'fa fa-comment', Comment::class),
             MenuItem::linkToCrud('Users', 'fa fa-user', User::class),*/

            //MenuItem::linkToLogout('Déconnexion', 'fa fa-exit'),
        ];
    }

}
